<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Form Periode</title>
	</head>
	<body>
		<div class="relative overflow-hidden rounded-default bg-surface-container" th:fragment="form">
			<div class="px-3 pt-3">
				<h1 class="text-xl font-semibold text-on-surface-higher">Add Periode</h1>
			</div>
			<form action="" novalidate>
				<div class="grid grid-cols-12 gap-4 p-4">
					<div class="col-span-12 lg:col-span-3">
						<label for="name" class="mb-2 block text-sm font-medium text-on-surface">Periode Name</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="name"
								name="name"
								placeholder="2024-2025"
								required="required"
							/>
						</div>
						<p id="errorname" class="mt-2 block text-sm text-error"></p>
					</div>
					<div class="col-span-6 lg:col-span-3">
						<label for="start" class="mb-2 block text-sm font-medium text-on-surface">Start Date</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="date"
								id="start"
								name="start"
								required="required"
							/>
						</div>
						<p id="errorstart" class="mt-2 block text-sm text-error"></p>
					</div>
					<div class="col-span-6 lg:col-span-3">
						<label for="end" class="mb-2 block text-sm font-medium text-on-surface">End Date</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="date"
								id="end"
								name="end"
								required="required"
							/>
						</div>
						<p id="errorend" class="mt-2 block text-sm text-error"></p>
					</div>
					<div class="col-span-12 lg:col-span-3">
						<button
							type="submit"
							class="inline-flex w-full items-center justify-center gap-x-2 rounded-default bg-primary px-4 py-3 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50 lg:mt-7"
						>
							Add Periode
						</button>
					</div>
				</div>
			</form>
		</div>
	</body>
</html>
